<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_mque.inc.php');
include_once('../inc/fic_ret.inc.php');
include_once('../inc/lst.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
$_SESSION['typ_filtres'] = 'retr';
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Liste traitements de retours'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg', '');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>
</head>

<body>

<?php include_once('../inc/entete.inc.php');
cre_ent_form(_('LISTE DES TRAITEMENTS DE RETOUR'), '', '', '', FALSE);
$fic_imp = 'retr_lsti.php';

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

$rech = cree_strrechlstretr();
if (CheckNivLog('4')) {
    if (!stristr($rech, 'WHERE ')) {
        $rech .= ' WHERE ' . TBRETP . ".retp_codeage='" . valsession('code_age') . "'";
    } else {
        $rech .= ' AND ' . TBRETP . ".retp_codeage='" . valsession('code_age') . "'";
    }
}
$rech .= crestr_triord($retr_titre_col, 'retr_dateret', FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);
close_database();

if ($rows) {
    $numrows = count($rows);
    include_once('formr.inc.php');

    $rech = modstr_triord($rech, $retr_titre_col, 'retr_dateret', TRUE, $limit);

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

    $rows = $db->get_results($rech, ARRAY_A);

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    // *** Affichage de la table
    echo '<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">';

    // création entête
    titlst($retr_titre_col);
    echo '<th>' . _('Cliquer') . '</th>';

    $i = 0;

    foreach ($rows as $row) {
        $row = encode_str($row);
        // Affichage liste Demandes de retours

        // création de l'entête de ligne (TR)
        echo '<tr>';

        echo '<td align="center">';
        echo datetolocal($row['retr_dateret']);
        echo '</td>';
        echo '<td>';
        echo $row['retr_coderetp'];
        cre_falselnk_img('', 'retp_view_' . $row['retr_id'], 'span', 'center', _('Visualisation'), 'lnk', 'retp_maj.php?td=edit&cpr=' . $row['retp_code'] . '&ca=' . $row['retp_codeage'], '../img/eye.png');
        echo '<span class="annot_petit_it">';
        echo '<br /> ->' . $row['retp_des'] . ' (' . $row['retp_ns'] . ')';
        echo '</span>';
        echo '</td>';
        echo '<td align="center">';
        echo $ope_types[$row['retr_typeope']];
        if ($row['retr_clos'] == 1) {
            echo ' <img src="../img/ok.png" title ="' . _('Clos') . '" border="0" align="absmiddle">';
        }
        echo '</td>';

        // CREATION lien dynamique sur icône (édition, suppression, etc...)
        echo '<td align="center">';

        $voir = FALSE;

        if ($row['retr_clos'] == 1) {
            $voir = TRUE;
        }

        if ($voir == FALSE) {
            $lst_maj = TRUE;
            cre_falselnk_img('', 'retr_edit_' . $row['retr_id'], 'span', 'center', _('Edition'), 'lnk', 'retr_maj.php?td=edit&cpr=' . $row['retr_coderetp'] . '&tdo=&ce=' . $row['retp_codeenv'] . '&ca=' . $row['retp_codeage'], '../img/edit.png');
            $lst_del = TRUE;
            cre_falselnk_img('', 'retr_del_' . $row['retr_id'], 'span', 'center', _('Suppression'), 'lnk', 'retr_maj.php?td=edit&cpr=' . $row['retr_coderetp'] . '&tdo=&ce=' . $row['retp_codeenv'] . '&ca=' . $row['retp_codeage'], '../img/del.png');
        } else {
            $lst_voir = TRUE;
            cre_falselnk_img('', 'retr_view_' . $row['retr_id'], 'span', 'center', _('Visualisation'), 'lnk', 'retr_maj.php?td=view&cpr=' . $row['retr_coderetp'] . '&tdo=&ce=' . $row['retp_codeenv'] . '&ca=' . $row['retp_codeage'], '../img/eye.png');
        }
        echo '</td>';

        echo '</tr>';

        $i++;
    }
    echo '</table>';
    // *** Fin affichage de la table

    close_database();

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    $taille_piedla = '';
    include_once('piedla.inc.php');
} else {
    retpp();
}

include_once('pied.php');
?>
</body>
</html>